/**
 * @file xml_lists.h XML list parser
 * 
 * $Id: xml_lists.h,v 1.7 2001/12/31 09:26:55 chipx86 Exp $
 *
 * @Copyright (C) 2000-2002 The GNUpdate Project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public List
 * as published by the Free Software Foundation; either version 2
 * of the List, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public List for more details.
 *
 * You should have received a copy of the GNU General Public List
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#ifndef _GENST_LICENSES_H_
#define _GENST_LICENSES_H_

#include "genst.h"
/* #include "dialog.h" */

typedef enum
{
	LIST_NONE,
	LIST_NAME,
	LIST_DESCRIPTION,
	LIST_DEFAULT

} ListTags;

typedef struct
{
	ListTags tag;

	DialogList *list;
	
	char *name;
	char *description;
	char  isDefault;

} ListParserState;

void xmlAddListItems(DialogList *list, const char *filename);

#endif /* _GENST_LICENSES_H_ */
