/**
 * @file xml.h XML utility functions
 * 
 * $Id: xml.h,v 1.6 2002/07/07 21:47:46 chipx86 Exp $
 *
 * @Copyright (C) 2000-2002 The GNUpdate Project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#ifndef _GENST_XML_H_
#define _GENST_XML_H_

#include <libxml/parser.h>

#include "genst.h"

int parseXml(xmlSAXHandlerPtr sax, void *userData, const char *filename);

void xmlWarning(void *userData, const char *msg, ...);
void xmlError(void *userData, const char *msg, ...);
void xmlFatalError(void *userData, const char *msg, ...);

#endif /* _GENST_XML_H_ */
